Package docking.widgets.fieldpanel.internal

# Class LayoutBackgroundColorManagerAdapter

java.lang.Object
docking.widgets.fieldpanel.internal.LayoutBackgroundColorManagerAdapter

All Implemented Interfaces:
  `LayoutBackgroundColorManager`

public class LayoutBackgroundColorManagerAdapter extends Object implements LayoutBackgroundColorManager

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LayoutBackgroundColorManagerAdapter(LayoutBackgroundColorManager layoutColorMap)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Color`
  `getBackgroundColor()`
  Returns the overall background color for the entire layout.
  `Color`
  `getBackgroundColor(FieldLocation location)`
  Returns the background color at a specific location within the layout.
  `FieldBackgroundColorManager`
  `getFieldBackgroundColorManager(int fieldNum)`
  Returns a `FieldBackgroundColorManager` to manage the background colors for field indexed by fieldNum.
  `Color`
  `getPaddingColor(int gap)`
  Returns the color of the padding between fields or null if the color is the same as the background color for the layout.
  `void`
  `setRange(int start, int end, boolean isLastRow)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LayoutBackgroundColorManagerAdapter

    public LayoutBackgroundColorManagerAdapter(LayoutBackgroundColorManager layoutColorMap)

- ## Method Details

  - ### getBackgroundColor

    public Color getBackgroundColor()
    Description copied from interface: `LayoutBackgroundColorManager`
    Returns the overall background color for the entire layout. If the layout is totally, selected, then this color will be the selection color. If the layout is highlighted,then the color will be the highlight color. If both, then the color will be the combined color. If the color is the same the overall background color of the field panel, then null will be returned to indicate that the background color for this layout does not need to be painted.
    Specified by:
      `getBackgroundColor` in interface `LayoutBackgroundColorManager`
    Returns:
      the background color for this layout or null if it is the same as the background for the field panel.

  - ### getFieldBackgroundColorManager

    public FieldBackgroundColorManager getFieldBackgroundColorManager(int fieldNum)
    Description copied from interface: `LayoutBackgroundColorManager`
    Returns a `FieldBackgroundColorManager` to manage the background colors for field indexed by fieldNum.
    Specified by:
      `getFieldBackgroundColorManager` in interface `LayoutBackgroundColorManager`
    Parameters:
      `fieldNum` - the index of the field for which to get a colorManager.
    Returns:
      the FieldBackgroundColorManager for the given field index.

  - ### setRange

    public void setRange(int start, int end, boolean isLastRow)

  - ### getPaddingColor

    public Color getPaddingColor(int gap)
    Description copied from interface: `LayoutBackgroundColorManager`
    Returns the color of the padding between fields or null if the color is the same as the background color for the layout.
    Specified by:
      `getPaddingColor` in interface `LayoutBackgroundColorManager`
    Parameters:
      `gap` - the index of the padding area. 0 represents the gap before the first field. a -1 indicates the gap past the last field.
    Returns:
      the color for indicated gap padding.

  - ### getBackgroundColor

    public Color getBackgroundColor(FieldLocation location)
    Description copied from interface: `LayoutBackgroundColorManager`
    Returns the background color at a specific location within the layout.
    Specified by:
      `getBackgroundColor` in interface `LayoutBackgroundColorManager`
    Parameters:
      `location` - the location in the layout for which to get the background color.
    Returns:
      the background color at a specific location within the layout.